package com.medipreco.loopboxplugin;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.EventChannel;

public class LoopboxEventHandler {
  private EventChannel devicesEventChannel;
  private BinaryMessenger binaryMessenger;

  private static final String DEVICES_NEARBY_EVENT = "com.medipreco.loopboxplugin/devices/nearby";

  public LoopboxEventHandler(BinaryMessenger binaryMessenger) {
    this.binaryMessenger = binaryMessenger;
    this.setupEventChannels();
  }

  private void setupEventChannels() {
    devicesEventChannel = new EventChannel(this.binaryMessenger, DEVICES_NEARBY_EVENT);
    devicesEventChannel.setStreamHandler(new EventChannel.StreamHandler() {
      @Override
      public void onListen(Object listener, EventChannel.EventSink eventSink) {
        eventSink.success("Evento emitido do código native ALTERADO");
      }

      @Override
      public void onCancel(Object o) {

      }


    });
  }
}